FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202111301700.p0.g131cfe6.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202111301700.p0.g131cfe6.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=131cfe6 OS_GIT_VERSION=4.6.0-202111301700.p0.g131cfe6.assembly.stream-131cfe6 SOURCE_DATE_EPOCH=1636038604 SOURCE_GIT_COMMIT=131cfe6b402887556eb9c3d591d9f5ed7001d214 SOURCE_GIT_TAG=v0.2-8-g131cfe6 SOURCE_GIT_URL=https://github.com/openshift/eventrouter 
WORKDIR  /go/src/github.com/openshift/eventrouter
COPY . .
RUN go build .

FROM openshift/base-rhel8:v4.6.0.20211130.171945
ENV __doozer=update BUILD_RELEASE=202111301700.p0.g131cfe6.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202111301700.p0.g131cfe6.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=131cfe6 OS_GIT_VERSION=4.6.0-202111301700.p0.g131cfe6.assembly.stream-131cfe6 SOURCE_DATE_EPOCH=1636038604 SOURCE_GIT_COMMIT=131cfe6b402887556eb9c3d591d9f5ed7001d214 SOURCE_GIT_TAG=v0.2-8-g131cfe6 SOURCE_GIT_URL=https://github.com/openshift/eventrouter 
COPY --from=builder /go/src/github.com/openshift/eventrouter/eventrouter /bin/eventrouter
CMD ["/bin/eventrouter", "-v", "3", "-logtostderr"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="OpenShift logging event router" \
        io.k8s.display-name="Logging Event Router" \
        io.openshift.tags="logging,eventrouter" \
        vendor="Red Hat" \
        name="openshift/ose-logging-eventrouter" \
        com.redhat.component="logging-eventrouter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Logging" \
        release="202111301700.p0.g131cfe6.assembly.stream" \
        io.openshift.build.commit.id="131cfe6b402887556eb9c3d591d9f5ed7001d214" \
        io.openshift.build.source-location="https://github.com/openshift/eventrouter" \
        io.openshift.build.commit.url="https://github.com/openshift/eventrouter/commit/131cfe6b402887556eb9c3d591d9f5ed7001d214" \
        version="v4.6.0"

